# SourcePath: procinfo/20071109dev
Summary: A tool for gathering and displaying system information
Name: sony-target-dev-procinfo
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-procinfo
Version: 18
Release: 12000002
License: GPL
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: ftp://ftp.cistron.nl/pub/people/00-OLD/svm
Source: procinfo-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-ncurses

%description
The procinfo command gets system data from the /proc directory (the
kernel filesystem), formats it and displays it on standard output.
You can use procinfo to acquire information about your system from the
kernel as it is running.

%package -n %{pkgname}
Summary: A tool for gathering and displaying system information
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The procinfo command gets system data from the /proc directory (the
kernel filesystem), formats it and displays it on standard output.
You can use procinfo to acquire information about your system from the
kernel as it is running.

%prep
%setup -n procinfo-%{version}

%build
%sony_target_dev_setup
make CC="$CC" LDFLAGS="" LDLIBS="-lncurses"

%install
rm -rf %{buildroot}
%sony_target_dev_setup

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man8

install -m 755 procinfo %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/procinfo
install -m 755 lsdev.pl %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/lsdev
install -m 755 socklist.pl %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/socklist

install -m 644 procinfo.8 %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man8
install -m 644 lsdev.8 %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man8
install -m 644 socklist.8 %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man8

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_bin_dir}/procinfo
%{sony_target_dir}%{sony_target_dev_bin_dir}/lsdev
%{sony_target_dir}%{sony_target_dev_bin_dir}/socklist

%changelog
* Tue Nov 26 2019 Sony Corporation
- Rebuilded for Ncurses version-up

* Fri Apr 17 2009 Sony Corporation
- Updated to 6.x 

* Mon Apr 28 2008 Sony Corporation
- Initial build
